<!--Addenda Ferro:: por DHT.-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:Ferro="mx.com.ferromexicana.addenda">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
		<xsl:element name="Ferro:Addenda">
			<xsl:element name="Ferro:NumeroProveedor">
				<xsl:value-of select="Datos/Emisor/@noProveedor"/>
			</xsl:element>
			<xsl:element name="Ferro:Documento">
				<xsl:variable name="tipadd" select="substring-before(Datos/Documento/OrdenesCompra/OrdenCompra/@No,'-')"/>
				<xsl:variable name="numdoc" select="substring-after(Datos/Documento/OrdenesCompra/OrdenCompra/@No,'-')"/>
				<xsl:choose>
					<xsl:when test="$tipadd != ''">
						<xsl:attribute name="Tipo">
							<xsl:value-of select="$tipadd"/>
						</xsl:attribute>
						<xsl:attribute name="NumeroDocumento">
							<xsl:value-of select="$numdoc"/>
						</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="Tipo">
							<xsl:text>SO</xsl:text>
						</xsl:attribute>
						<xsl:attribute name="NumeroDocumento">
							<xsl:text>0000000000</xsl:text>
						</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:attribute name="FechaDocumento">
					<xsl:value-of select="substring(Datos/CFD/@Fecha,1,10)"/>
				</xsl:attribute>
			</xsl:element>
			<xsl:element name="Ferro:Conceptos">
				<xsl:for-each select="Datos/Documento/Partidas/Partida">
					<xsl:element name="Ferro:Concepto">
						<xsl:element name="Ferro:Posicion">
							<xsl:choose>
								<xsl:when test="./XMLAddenda/Partida/@Item !=''">
									<xsl:value-of select="./XMLAddenda/Partida/@Item"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="format-number(position(),'00000')"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:element>
						<xsl:if test="@CodigoCliente !=''">
							<xsl:element name="Ferro:NumeroParte">
								<xsl:value-of select="@CodigoCliente"/>
							</xsl:element>
						</xsl:if>
						<xsl:element name="Ferro:Cantidad">
							<xsl:value-of select="format-number(@Cantidad,'0.000')"/>
						</xsl:element>
						<xsl:element name="Ferro:Unidades">
							<xsl:choose>
								<xsl:when test="substring(@UnidadMedida,1,1) = '0'">
									<xsl:value-of select="substring(@UnidadMedida,2,2)"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="@UnidadMedida"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:element>
						<xsl:element name="Ferro:Descripcion">
							<xsl:value-of select="@Descripcion"/>
						</xsl:element>
						<xsl:element name="Ferro:PrecioUnitario">
							<xsl:value-of select="format-number(@PrecioBruto,'0.00')"/>
						</xsl:element>
						<xsl:element name="Ferro:Importe">
							<xsl:value-of select="format-number(@ImpNeto,'0.00')"/>
						</xsl:element>
					</xsl:element>
				</xsl:for-each>
			</xsl:element>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
